Module jdk.compiler
Package com.sun.source.tree

## Interface StatementTree

- All Superinterfaces:
    `Tree`
  All Known Subinterfaces:
    `AssertTree`, `BlockTree`, `BreakTree`, `ClassTree`, `ContinueTree`, `DoWhileLoopTree`, `EmptyStatementTree`, `EnhancedForLoopTree`, `ExpressionStatementTree`, `ForLoopTree`, `IfTree`, `LabeledStatementTree`, `ReturnTree`, `SwitchTree`, `SynchronizedTree`, `ThrowTree`, `TryTree`, `VariableTree`, `WhileLoopTree`

      public interface StatementTree
      extends Tree

  A tree node used as the base class for the different kinds of statements.
  Since:
    1.6
  See The Java™ Language Specification:
    chapter 14

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    - ### Methods declared in interface com.sun.source.tree.Tree

      `accept, getKind`